Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under eshell

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 16 Jun 2022 13:58:46 +0200

Jeff Kowalski <[email-masked]> writes:

> Emacs behavior:
> $ emacs -Q
> ;; now in emacs
> M-x eshell
> ;; now in eshell buffer
> $ gio open /tmp/hello.txt
> ;; BAD RESULT - nothing happens, app not opened, silent failure, nothing
> in message buffer
> $ xdg-open /tmp/hello.txt
> ;; BAD RESULT - nothing happens, app not opened, silent failure, nothing
> in message buffer

[...]

> In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo
> version 1.16.0)
>  of 2022-05-30 built on lcy02-amd64-022
> Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
> System Description: Linux Mint 20.3

I'm unable to reproduce this problem (Debian/bookworm, Gnome Shell), but
I vaguely remember other reports about xdg-open not working in some
circumstances -- I don't remember the details.  Anybody else remember?

Hm...  was it something to do with timing and the weird way that
xdg-open works?  Hm, no, don't remember.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no